import req from "@/request.js";

const portal = window.context.portal;
export default {
    // 获取视频目录
    getVideoF(data, cb) {
        req.post(portal + `/biz/catalog/base/getCataLogBase`, data).then(rep => {
            cb(rep.data);
        });
    },
    // 获取视频目录树
    getVideoTree(data, cb) {
        req.post(portal + `/biz/catalog/base/getTree`, data).then(rep => {
            cb(rep.data);
        });
    },
    //点击树获取分页
    getList(data, cb) {
        req.post(portal + `/biz/catalog/base/query`, data).then(rep => {
            cb(rep.data);
        });
    },
    //获取分关监控点联页，不分页
    getListPage(data, cb) {
        req.post(portal + `/biz/catalog/base/findByZoneCode`, data).then(rep => {
            cb(rep.data);
        });
    },
    getVideoTreeSite(data, cb){
        req.post(portal + `/biz/catalog/base/getAllTree`, data).then(rep => {
            cb(rep.data);
        });
    }
}